A valid request URL is required to generate request examples{
"data": [
{
"id": "lptrs_128f4a88414c4bed70",
"tier_structure_id": "lts_128f4a88414c4bed69",
"tier_id": "lt_128f4a88414c4bed6a",
"joins": 1,
"upgrades": 0,
"downgrades": 0,
"lefts": 0,
"prolongs": 0,
"object": "program_tiers_summary_report"
}
],
"object": "report"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Get program tiers summary report
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Returns total tier-movement statistics for the program (all time), optionally filtered by tier structure and tier.
Results are capped by limit (default 100) and sorted by order (default -id).
curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/reports/tiers/summary \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "lptrs_128f4a88414c4bed70",
"tier_structure_id": "lts_128f4a88414c4bed69",
"tier_id": "lt_128f4a88414c4bed6a",
"joins": 1,
"upgrades": 0,
"downgrades": 0,
"lefts": 0,
"prolongs": 0,
"object": "program_tiers_summary_report"
}
],
"object": "report"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Authorizations
Path Parameters
Unique loyalty program identifier (format: lprg_ followed by hexadecimal characters).
Query Parameters
Maximum number of report entries to return. Minimum: 1, maximum: 100. Defaults to 100 when omitted.
1 <= x <= 100Sort order. A single field or an array of fields. Prefix a field with - for descending order. Defaults to -id. Allowed values: id, -id.
id, -id Field filters, e.g. filters[tier_structure_id][conditions][$is]=lts_... or filters[tier_id][conditions][$is]=lt_.... Each field accepts a conditions object with condition operators.
Filters for program tiers reports.
Show child attributes
Show child attributes

